Page MenuHomePhabricator

Change user rights on frwikinews
Closed, ResolvedPublic

Description

Hello,
We need to make some changes about the user rights on frwikinews.

This was proposed on https://fr.wikinews.org/wiki/Wikinews:Prise_de_d%C3%A9cision/Statut_des_utilisateurs and almost unanimously approved.

Utilisateurs de confiance = autoreview + unreviewedpages -- and if possible create and add a new right "review the editions on articles that the user created"

Relecteurs = autoreview + review + validate + unreviewedpages + import

Contributeurs merge with Relecteurs

Both can be grant by a sysop.

Thanks

Event Timeline

SleaY created this task.Feb 27 2015, 12:13 AM
SleaY updated the task description. (Show Details)
SleaY raised the priority of this task from to Needs Triage.
SleaY added a project: Wikimedia-Site-requests.
SleaY added a subscriber: SleaY.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 27 2015, 12:13 AM
Aklapper renamed this task from User rights on frwikinews. to Change User rights on frwikinews.Feb 27 2015, 10:31 AM
Aklapper triaged this task as Normal priority.
Aklapper set Security to None.
tomasz added a subscriber: tomasz.Feb 27 2015, 11:20 AM

There are three issues related to this:

  1. English translations of the new user group names would be helpful :-)
  2. The aforementioned new user right does not exist and would require a change in MediaWiki core, which will significantly delay this request -- so you need to let us know if we can proceed without it;
  3. You have not specified who should be able to remove users from the two new user groups; should we take it that the removal ought to be performed by sysops as well?

Thanks :-)

tomasz renamed this task from Change User rights on frwikinews to Change user rights on frwikinews.Feb 27 2015, 11:20 AM

Hi,

  1. I think we can translate the news groups like that Utilisateurs de confiance = Trusted users and Relecteurs = reviewers.
  2. In a first step, the changes can be proceeded without the new right.
  3. Sysops should be able to remove the two new users groups.

Regards ;-)

tomasz claimed this task.Feb 27 2015, 3:24 PM

The proposed "review the editions on articles that the user created" right sounds like autoreview to me...

Not exactly ;-) autoreview is only for contributions made by the user but not by other users on the pages he created.

For example, if I have the autoreview right and if I create a page I can review my contributions but not contributions made by other contributors on the page that I created.

So the new right should be "I can review my contributions everywhere and review contributions from other users but only on pages that I created"

Is that clearer?

:-)

You could make a new MediaWiki-extensions-FlaggedRevs task for it. I doubt it'd be accepted though.

Nnemo added a subscriber: Nnemo.Mar 1 2015, 7:16 AM

Ok I will create a new task for that when the new statuts will be set up.

tomasz added a comment.Mar 3 2015, 9:54 AM

@SleaY, @Mattho69: Okay, so I've almost got the patch ready, but I am a bit flabbergasted by the last part of your original comment:

In T90979, @SleaY wrote:

Contributeurs merge with Relecteurs

Do I understand correctly that you want to remove the editor ('contributeurs') user group and only keep the reviewer ('relecteurs') user group (or the other way around)?

I'm asking this because, although likely technically possible, the removal of user groups added by default through extensions or MediaWiki core—such as the 'editor' user group, which is added by the FlaggedRevisions extension— has never been done on any Wikimedia wiki to date, as far as I remember and can see in the configuration files.

Thanks!

Mattho69 added a comment.EditedMar 3 2015, 7:47 PM

Hi,

Maybe it was not clear enough, so I will try to sum up the request:

  1. Delete the user groups from FlaggedRevisions extension (editor, reviewer, autoreview)
  2. Replace these user groups by Trusted user and Reviewer (or another name to differentiate it from the old reviewer)
    • Trusted user = autoreview + unreviewedpages (+ the new right which will be asked in another task)
    • Reviewer = autoreview + review + validate + unreviewedpages + import
  3. Sysops should be able to add and remove the two new users groups.

I hope everything is clear now and sorry for the misunderstanding if it is the case.

Best ;-)

tomasz removed tomasz as the assignee of this task.Mar 4 2015, 8:51 AM

I've got no idea how to fulfill this request.

tomasz removed a subscriber: tomasz.Mar 4 2015, 8:52 AM
Dereckson claimed this task.EditedMar 23 2015, 5:37 PM
Dereckson added a subscriber: Dereckson.

Taking task, as I can work in French with them if there are difficulties.

The order suggested would require to remove everyone from the groups. This isn't really a good idea, as it would break the review workflow pending the deployment.

So in a first time, we're going to deploy a first change to create the new groups. After this first change is deployed, you can then empty the legacy groups locally. And then, we'll delete through a new change the former groups.

That means (2), (3), (1).

Change 198822 had a related patch set uploaded (by Dereckson):
New user groups on fr.wikinews

https://gerrit.wikimedia.org/r/198822

Change 198822 merged by jenkins-bot:
New user groups on fr.wikinews

https://gerrit.wikimedia.org/r/198822

Dereckson added a comment.EditedApr 22 2015, 12:39 AM

Deployed 2015-04-20.

I'm currently working with @SleaY to implement the local part (2), and see how to offer a as smooth as possible transition for the Wikinews contributors.

Then the change for the step (3) will be submitted.

I've checked on wiki the situation, and discussed the matter with @JackPotte; the legacy groups have now been fully emptied on the local project.

We can so proceed to the step 3 and remove the specific rights added to the following groups:

  • confirmed
  • reviewer
  • editor

Change 206647 had a related patch set uploaded (by Dereckson):
Removed legacy groups on fr.wikinews

https://gerrit.wikimedia.org/r/206647

Planned for deployment the 2014-04-27 15:00 UTC (Morning SWAT).

Change 206647 merged by jenkins-bot:
Removed legacy groups on fr.wikinews

https://gerrit.wikimedia.org/r/206647

Change deployed.

The legacy groups editor and reviewer has well been removed.

The final step, to perform on the wiki, is to recycle the restore the confirmed user group as a regular confirmed user Wikimedia group. This group could be used to give autoconfirmed rights to someone not yet autoconfirmed.

Still a group to disable: autoreview, which matches Relecteurs automatiques.

Change 206848 had a related patch set uploaded (by Dereckson):
Removed autoreview group on fr.wikinews

https://gerrit.wikimedia.org/r/206848

Change 206848 merged by jenkins-bot:
Removed autoreview group on fr.wikinews

https://gerrit.wikimedia.org/r/206848

Dereckson closed this task as Resolved.Apr 27 2015, 11:43 PM

Deployed during 2014-04-27 evening SWAT at 23:29 UTC.

And with this last change, the issue is now resolved.